<template>
  <div class="el-tree">
    <header-breadcrumb
      :title="$t('agent_cooperation')"
      class="bg-background3"
      style="font-size: 16px; height: 54px !important"
    />

    <div class="px-10 bg-1 h-screen overflow-auto relative z-[99] pb-28">
      <el-form
        label-position="top"
        ref="ruleFormRef"
        :model="formAgentCooperation"
        :rules="agentRules"
        :validate-on-rule-change="false"
        class="mb-10"
      >
        <el-form-item :label="$t('username')" prop="Username">
          <el-input v-model="formAgentCooperation.Username" />
        </el-form-item>
        <el-form-item :label="$t('password')" prop="Password">
          <el-input type="password" v-model="formAgentCooperation.Password" />
        </el-form-item>
        <el-form-item
          :label="$t('confirm_password')"
          prop="PasswordConfirmation"
        >
          <el-input
            type="password"
            v-model="formAgentCooperation.PasswordConfirmation"
          />
        </el-form-item>
        <el-form-item class="AgentCooperation__has-lone-child is-title">
          <p class="mt-5">{{ $t("personal_information") }}</p>
        </el-form-item>
        <el-form-item :label="$t('first_name')" prop="FirstName">
          <el-input v-model="formAgentCooperation.FirstName" />
        </el-form-item>
        <el-form-item :label="$t('last_name')" prop="LastName">
          <el-input v-model="formAgentCooperation.LastName" />
        </el-form-item>
        <el-form-item :label="$t('email')" prop="Email">
          <el-input type="email" v-model="formAgentCooperation.Email" />
        </el-form-item>
        <el-form-item :label="$t('phone')" prop="Phone">
          <el-input v-model="formAgentCooperation.Phone" :formatter="(value: string) => value" :parser="(value: string) => value.replace(/\D+/g, '')"/>
        </el-form-item>
        <el-form-item :label="$t('mobile')" prop="Mobile">
          <el-input v-model="formAgentCooperation.Mobile" :formatter="(value: string) => value" :parser="(value: string) => value.replace(/\D+/g, '')"/>
        </el-form-item>
        <el-form-item :label="$t('currency')" prop="Currency">
          <el-select
            v-model="formAgentCooperation.Currency"
            class="w-full custom-el-select"
            :placeholder="$t('select_currency')"
          >
            <el-option :value="''">{{ $t("select_currency") }}</el-option>
            <el-option
              v-for="currency in whiteListCurrencies"
              :key="currency"
              :value="currency.Currency"
            />
          </el-select>
        </el-form-item>
        <el-form-item :label="$t('instance_message')" prop="SocialType">
          <el-select
            v-model="formAgentCooperation.SocialType"
            class="w-full custom-el-select"
            :placeholder="$t('select_instance_message')"
          >
            <el-option :value="''">{{
              $t("select_instance_message")
            }}</el-option>
            <el-option
              v-for="(instance, index) in instanceMessages"
              :key="index"
              :value="instance"
            />
          </el-select>
        </el-form-item>
        <el-form-item
          prop="SocialUsername"
          class="AgentCooperation__has-lone-child"
        >
          <p v-if="isMobile"></p>
          <el-input type="text" v-model="formAgentCooperation.SocialUsername" />
        </el-form-item>
        <div class="flex justify-center">
          <el-button
            class="normal-case"
            type="primary"
            round
            :loading="isLoading"
            @click="submitForm(ruleFormRef)"
            >{{ $t("submit") }}</el-button
          >
        </div>
      </el-form>
    </div>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "AgentCooperation",
  components: {},
  setup() {
    const { ...props } = useAgentCooperation();
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    const isMobile = !useIsDesktop();
    return {
      ...props,
      selectedThemeName,
      isMobile,
    };
  },
});
</script>

<style scoped lang="scss">
.AgentCooperation {
  @media (max-width: 640px) {
    .el-form-item {
      flex-direction: column;
    }
  }

  &__has-lone-child.el-form-item--default :has(p) {
    margin-left: 0 !important;
    width: 100%;
    display: flex;
    justify-content: flex-start;
    p {
      display: block;
      width: 100%;
      justify-self: center;
    }
    button {
      margin: auto;
    }
  }
}
</style>
<style lang="scss" scoped>
:deep(.el-form--label-top) {
  @apply mt-8;
}
.AgentCooperation__has-lone-child.el-form-item.is-title {
  div.el-form-item__content {
    margin-left: 0 !important;
  }
}
.AgentCooperation .el-form-item__content {
  margin-left: unset !important;
}
.bg-1 {
  background-color: var(--background2);
}
</style>
